Summary: Microcode for the Intel WiFi Link 6000 Series AGN Adapter
Name: iwl6000-firmware
Version: 9.221.4.1
Release: 1%{?dist}
License: distributable
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/?p=iwlwifi
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Obsoletes: iwlwifi-6000-ucode

%description
The file iwlwifi-6000.ucode provided in this package is required to be
present on your system in order for the Intel WiFi Link
6000 Series AGN Adapter driver for Linux (iwlagn) to be able to 
operate on your system.

On adapter initialization, and at varying times during the uptime of 
the adapter, the microcode is loaded into the RAM on the network 
adapter.  The microcode provides the low level MAC features including 
radio control and high precision timing events (backoff, transmit, 
etc.) while also providing varying levels of packet filtering which can 
be used to keep the host from having to handle packets that are not of 
interest given the current operating mode of the device.

This packages contains all releases of the firmware up to version %{version},
as well as their respective README documents.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.ucode  %{buildroot}/lib/firmware/
install -p LICENSE* %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*

%changelog
* Mon Aug 22 2011 Troy Dawson <dawson@fnal.gov>
- Changed name from ucode to firmware

* Tue Aug 16 2011 Troy Dawson <dawson@fnal.gov> - 9.221.4.1-1
- Updated to 9.221.4.1

* Wed Apr 28 2010 Troy Dawson <dawson@fnal.gov> - 9.193.4.1-1
- Initial build based on the iwlwifi-1000-ucode spec file
